*** libraries/javalib/java/net/HttpURLConnection.java.orig	Fri Jul 18 22:51:33 2003
--- libraries/javalib/java/net/HttpURLConnection.java	Thu Sep 25 15:52:21 2003
***************
*** 11,16 ****
--- 11,17 ----
  package java.net;
  
  import java.io.IOException;
+ import java.io.InputStream;
  
  abstract public class HttpURLConnection extends URLConnection {
  
***************
*** 54,59 ****
--- 55,61 ----
  public static final int HTTP_VERSION = 505;
  
  static private boolean followRedirects = true;
+ private boolean instanceFollowRedirects = true;
  
  protected String method = "GET";
  protected int responseCode;
***************
*** 75,80 ****
--- 77,90 ----
         followRedirects = follow;
  }
  
+ public boolean getInstanceFollowRedirects () {
+         return instanceFollowRedirects;
+ }
+ 
+ public void setInstanceFollowRedirects (boolean follow) {
+        instanceFollowRedirects = follow;
+ }
+ 
  public String getRequestMethod () {
          return method;
  }
***************
*** 98,103 ****
--- 108,117 ----
  		throw new ProtocolException("bad request message: " + message);
  	}
  	method = message;
+ }
+ 
+ public InputStream getErrorStream() {
+ 	return null;
  }
  
  public abstract void disconnect ();

